Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.search
Class SearchHighlight

    java.lang.Object
      gnu.search.SearchHighlight

All Implemented Interfaces:
  TextAreaHighlight

    public class SearchHighlight

extends java.lang.Object
implements TextAreaHighlight

Constructor Summary
`SearchHighlight()`

Method Summary
`void` | `disable()`
`void` | `enable()`
`protected void` | `finalize()` Patch -> Memory management improvements : it may help the garbage collector. -> Author : Julien Ponge (julien@izforge.com) -> Date : 23, May 2001
`java.lang.String` | `getToolTipText(java.awt.event.MouseEvent evt)` Returns the tool tip to display at the specified location.
`void` | `init(JEditTextArea textArea, TextAreaHighlight next)` Called after the highlight painter has been added.
`void` | `paintHighlight(java.awt.Graphics gfx, int line, int y)` This should paint the highlight and delgate to the next highlight painter.
`void` | `setMatches(java.util.ArrayList matches)`
`void` | `trigger(boolean on)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchHighlight

    public SearchHighlight()

Method Detail

### disable

    public void disable()

### enable

    public void enable()

### trigger

    public void trigger(boolean on)

### setMatches

    public void setMatches(java.util.ArrayList matches)

### init

    public void init(JEditTextArea textArea,
                     TextAreaHighlight next)

  Description copied from interface: `TextAreaHighlight`
  Called after the highlight painter has been added.

  Specified by:
    `init` in interface `TextAreaHighlight`
  Parameters:
    `textArea` - The text area
    `next` - The painter this one should delegate to

### paintHighlight

    public void paintHighlight(java.awt.Graphics gfx,
                               int line,
                               int y)

  Description copied from interface: `TextAreaHighlight`
  This should paint the highlight and delgate to the next highlight painter.

  Specified by:
    `paintHighlight` in interface `TextAreaHighlight`
  Parameters:
    `gfx` - The graphics context
    `line` - The line number
    `y` - The y co-ordinate of the line

### getToolTipText

    public java.lang.String getToolTipText(java.awt.event.MouseEvent evt)

  Description copied from interface: `TextAreaHighlight`
  Returns the tool tip to display at the specified location. If this highlighter doesn't know what to display, it should delegate to the next highlight painter.

  Specified by:
    `getToolTipText` in interface `TextAreaHighlight`
  Parameters:
    `evt` - The mouse event

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Patch -> Memory management improvements : it may help the garbage collector. -> Author : Julien Ponge (julien@izforge.com) -> Date : 23, May 2001

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.